[Risolto] Blendergis – Gdal – Numpy -2.79

Blender Italia | Supporto Utenti | Supporto Addon e tools | Blendergis – Gdal – Numpy -2.79

Stai vedendo 6 articoli - dal 1 a 6 (di 6 totali)
  • Autore
    Articoli
  • #750778

    virtu.ale
    Partecipante
    • Blenderista
    • Post sul Forum 3

    Buonasera,

    ho installato l’addons Blendergis3d. Ho letto che per funzionare meglio era il caso di aggiungere GDAL. Per aggiungere GDAL però ho dovuto anche installare Numpy tramite Pithon… Al momento di importare GDAL in Blender via Python mi esce:

    RuntimeError: module compiled against API version 0xc but this version of numpy is 0xa

    con altre righe sotto. Purtroppo però non riesco a capire come risolvere la questione di Numpy e su altri forum in inglese non ho trovato nulla di risolutivo.

    Uso Windows 7 a 64 bit.

    #750785

    Anfeo
    Partecipante
    • Blender Italia Staff
    • Associato Blender Italia
    • Professionista accreditato
    • Moderatore Forum

    Numpy è già installato in Blender.

    Usi una versione con installer di Blender? Magari prova la versione portable Zip c’è già tutto dentro.


    #750799

    virtu.ale
    Partecipante
    • Blenderista
    • Post sul Forum 3

    Grazie Anfeo, lo avevo installato per questo motivo:

    GDAL Python binding needs Numpy to correctly working. Numpy is already included with Blender Python installation, but most of time this version does not match the one used to compile GDAL module. So, to ensure the best compatibility it’s more careful to also install Christoph Gohlke’s Numpy wheel package.

    Qui nasce il problema, credo. Devo capire come gestire il fatto che Numpy è incluso in Blender ma forse non è quello che va bene per Gdal. E non ho idea di quale scegliere, né ho capito come si disinstalla.

    Grazie, intanto!

    #750802

    Harvester
    Partecipante
    • Veterano Bronzo
    • ★★★
    • Post sul Forum 2757
    • Blender Italia Staff
    • Associato Blender Italia
    • Moderatore Forum

    La versione di Numpy fornita con Blender 2.79b è la 1.10.1 mentre quella che l’add-on richiede è la versione 1.15.4. In Python 3.5.3 si installa tramite “pip” ma dall’interno di Blender non saprei. Ho comunque fatto una prova su una installazione di test di Blender 2.79b (official, 64bit, portable) dopo aver clonato il repository GIT da https://github.com/domlysz/BlenderGIS, copiata la cartella BlenderGIS nella cartella …\2.79\scripts\addons. Ho quindi attivato l’add-on BlenderGIS nelle preferenze; la console di blender mostra che deve scaricare un programma e fin qui nessun problema, quindi partono una serie di messaggi di errore semplicemente perchè non ho ancora definito la cartella per la cache di BlenderGIS e una volta fatto questo tutto funziona apparentemente senza problemi.

    Ovviamente non lo so usare perchè non ho letto tutta la documentazione ma il fatto stesso che non mi dia errori è un buon segno. 🙂

     

    #750819

    virtu.ale
    Partecipante
    • Blenderista
    • Post sul Forum 3

    Grazie Harvester,

    la compatibilità tra le due versioni mi è stata molto utile. Per il resto ho seguito quanto specificato https://github.com/domlysz/BlenderGIS/wiki/How-to-install-GDAL e tutto ha funzionato.

    🙂

    #750821

    Harvester
    Partecipante
    • Veterano Bronzo
    • ★★★
    • Post sul Forum 2757
    • Blender Italia Staff
    • Associato Blender Italia
    • Moderatore Forum

    Ottimo. Pertanto, se ritieni di aver risolto il tuo problema ti invito ad impostare questa discussione su “Risolto”, nel menu che trovi a inizio discussione.

Stai vedendo 6 articoli - dal 1 a 6 (di 6 totali)

Devi essere loggato per rispondere a questa discussione.